Class AppDomainsImpl
- All Implemented Interfaces:
AppDomains
AppDomains over the shared FabricBeta apiParams area.
Beta: Fabric v4 4.34.0 (spec read 2026-11-11).
Generated from the Fabric v4 OpenAPI spec by the fabric-beta generator; regenerate rather than hand-edit.
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncreate(AppDomainPostRequest request) Create Domain:POST /fabric/v4/appDomains(operationcreateAppDomain).Delete Domain:DELETE /fabric/v4/appDomains/{appDomainId}(operationdeleteAppDomainByUuid).Get Domain:GET /fabric/v4/appDomains/{appDomainId}(operationgetAppDomainByUuid).listAttachedAppLinks(String appDomainId) Get Attached Links for Domain:GET /fabric/v4/appDomains/{appDomainId}/appLinks(operationgetAttachedAppLinksByAppDomainId).listAttachedAppLinks(String appDomainId, AttachmentQuery query) Get Attached Links for Domain:GET /fabric/v4/appDomains/{appDomainId}/appLinks(operationgetAttachedAppLinksByAppDomainId).search()Search Domains:POST /fabric/v4/appDomains/search(operationsearchAppDomains).search(FilterPropertyList filter) Search Domains:POST /fabric/v4/appDomains/search(operationsearchAppDomains).search(FilterPropertyList filter, SortPropertyList sort) Search Domains:POST /fabric/v4/appDomains/search(operationsearchAppDomains).update(String appDomainId, List<PatchOperation> operations) Update Domain:PATCH /fabric/v4/appDomains/{appDomainId}(operationupdateAppDomainByUuid).
-
Constructor Details
-
AppDomainsImpl
Creates the client.- Parameters:
clients- the shared internal client factory
-
-
Method Details
-
create
Description copied from interface:AppDomainsCreate Domain:POST /fabric/v4/appDomains(operationcreateAppDomain).This API provides capability to create user's App Domain
- Specified by:
createin interfaceAppDomains- Parameters:
request- theAppDomainPostRequestrequest body- Returns:
- the
AppDomainthe API returns
-
getByUuid
Description copied from interface:AppDomainsGet Domain:GET /fabric/v4/appDomains/{appDomainId}(operationgetAppDomainByUuid).This API provides capability to retrieve user's Domain
- Specified by:
getByUuidin interfaceAppDomains- Parameters:
appDomainId- theappDomainIdpath parameter- Returns:
- the
AppDomainthe API returns
-
delete
Description copied from interface:AppDomainsDelete Domain:DELETE /fabric/v4/appDomains/{appDomainId}(operationdeleteAppDomainByUuid).This API provides capability to delete user's Domain
- Specified by:
deletein interfaceAppDomains- Parameters:
appDomainId- theappDomainIdpath parameter- Returns:
- the
AppDomainthe API returns
-
update
Description copied from interface:AppDomainsUpdate Domain:PATCH /fabric/v4/appDomains/{appDomainId}(operationupdateAppDomainByUuid).This API provides capability to update user's Domain
Sent as
application/json-patch+json, per the spec. Patchable paths named by the spec:/description.- Specified by:
updatein interfaceAppDomains- Parameters:
appDomainId- theappDomainIdpath parameteroperations- the patch operations (op/path/value)- Returns:
- the
AppDomainthe API returns
-
search
Description copied from interface:AppDomainsSearch Domains:POST /fabric/v4/appDomains/search(operationsearchAppDomains).The API provides capability to get list of user's App Domains using search criteria, including optional filtering, pagination and sorting
Filter properties named by the spec:
/changeLog/createdDateTime,/changeLog/deletedDateTime,/changeLog/updatedDateTime,/description,/name,/project/projectId,/state,/uuid.Sort properties named by the spec:
/changeLog/createdDateTime,/changeLog/updatedDateTime,/name,/state,/uuid.- Specified by:
searchin interfaceAppDomains- Parameters:
filter- the filter (nullfor none)sort- the sort order (nullfor the service default)- Returns:
- a lazily paged list of
AppDomain
-
search
Description copied from interface:AppDomainsSearch Domains:POST /fabric/v4/appDomains/search(operationsearchAppDomains).The API provides capability to get list of user's App Domains using search criteria, including optional filtering, pagination and sorting
- Specified by:
searchin interfaceAppDomains- Parameters:
filter- the filter (nullfor none)- Returns:
- a lazily paged list of
AppDomain
-
search
Description copied from interface:AppDomainsSearch Domains:POST /fabric/v4/appDomains/search(operationsearchAppDomains).The API provides capability to get list of user's App Domains using search criteria, including optional filtering, pagination and sorting
- Specified by:
searchin interfaceAppDomains- Returns:
- a lazily paged list of
AppDomain
-
listAttachedAppLinks
public PaginatedList<AppDomainAttachedAppLink> listAttachedAppLinks(String appDomainId, AttachmentQuery query) Description copied from interface:AppDomainsGet Attached Links for Domain:GET /fabric/v4/appDomains/{appDomainId}/appLinks(operationgetAttachedAppLinksByAppDomainId).This API provides capability to retrieve App Links attached to an App Domain
Paged with
offset/limit;statefilters by state.- Specified by:
listAttachedAppLinksin interfaceAppDomains- Parameters:
appDomainId- theappDomainIdpath parameterquery- optionalstate/order/stylequery parameters (nullfor none)- Returns:
- a lazily paged list of
AppDomainAttachedAppLink
-
listAttachedAppLinks
Description copied from interface:AppDomainsGet Attached Links for Domain:GET /fabric/v4/appDomains/{appDomainId}/appLinks(operationgetAttachedAppLinksByAppDomainId).This API provides capability to retrieve App Links attached to an App Domain
- Specified by:
listAttachedAppLinksin interfaceAppDomains- Parameters:
appDomainId- theappDomainIdpath parameter- Returns:
- a lazily paged list of
AppDomainAttachedAppLink
-